
* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: "Roboto", sans-serif;
    font-size: 12px;

    display: flex;
    flex-direction: column;
    height: 100vh;
}

.page-header {
    flex-shrink: 0;
    padding: 4px 12px;
    background-color: #56727C;
    color: #ffffff;
}

.page-header .section {
    display: flex;

    align-items: center;
}

.page-header .section .item {
    margin: 4px 12px;
}

.fa {

    font-family: FontAwesome;

}

.fa-home {
    content: "\25AE"; /* this is your text. You can also use UTF-8 character codes as I do here */
}

#user-container {
    display: flex;
    position: absolute;
    right: 0;
    align-items: anchor-center;
}

.fa-trash {
    background-color: #B86651;
    width: 100%;
    color: #ffffff;
}

.fa-trash:hover {
    cursor: pointer;
}

.page-header.h1 {
    font-size: 1.2rem;
    font-weight: normal;
}

.page-header a {
    font-size: 1.2rem;
    font-weight: normal;
    color: #FFFFFF;
    text-decoration: none;
}

.login-container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    form {
        width: 360px;

        input {
            width: 100%;
            box-sizing: border-box;
            padding: 10px;
            margin: 6px 0 6px 0;
            border: 1px solid #aaa;
            border-radius: 2px;
        }
    }
}

.forbidden-container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    .forbidden-content {
        width: 360px;

        button {
            box-sizing: border-box;
            padding: 10px;
            margin: 6px 0 6px 0;
            border: 1px solid #aaa;
            border-radius: 2px;
        }
    }
}

main {
    flex: 1;
    overflow: hidden;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    /*justify-content: space-between;*/
    padding: 12px;
    background-color: #FFFFFF;
    color: #000000;
}

.table-wrapper {
    height: 100%;
    overflow-y: auto;
}

.dashboard {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

}


main::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 7px;
}

main::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(0, 0, 0, .5);
    -webkit-box-shadow: 0 0 1px rgba(255, 255, 255, .5);
}

.dashboard-item {
    margin: 4px 4px;
    padding: 12px 12px;
    align-items: center;
    justify-content: center;
    display: flex;
    width: 200px;
    height: 200px;
    background-color: #e7e7e7;
    color: #222;
    text-decoration: none;
    transition: background-color 0.5s ease, color 0.5s ease;
    font-size: 16px;

    p {
        text-align: center;
    }
}

.dashboard-item:hover {
    background-color: #899BA6;
    color: #ffffff;
}

.information {
    background-color: #f6f9cb;
    width: 100%;
    color: #222;
    padding: 4px 4px;
}


.dashboard-list {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.dashboard-list-item {
    margin: 4px 4px;
    padding: 12px 12px;
    align-items: center;
    justify-content: left;
    display: flex;
    width: 100%;
    height: 50px;
    background-color: #e7e7e7;
    color: #222;
    text-decoration: none;
    transition: background-color 0.5s ease, color 0.5s ease;
}

.dashboard-list-item:hover {
    background-color: #899BA6;
    color: #ffffff;
}

.error {
    background-color: #B86651;
    width: 100%;
    color: #ffffff;
    padding: 4px 4px;
    white-space: pre-line;
}

.success {
    background-color: #729587;
    width: 100%;
    color: #ffffff;
    padding: 4px 4px;
    white-space: pre-line;
}

#execute_local_changes {
    background-color: #729587;
    width: 100%;
    color: #ffffff;
    padding: 4px 4px;
    white-space: pre-line;
}

.changes-list {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.changes-list-item {
    flex-direction: column;
    margin: 4px 4px;
    padding: 12px 12px;
    align-items: flex-start;
    justify-content: left;
    display: flex;
    background-color: #e7e7e7;
    color: #222;
    text-decoration: none;
    transition: background-color 0.5s ease, color 0.5s ease;
}

.changes-list-item h2 {
    font-size: 1rem;
    font-weight: bold;
}

.changes-list-item:hover {
    background-color: #899BA6;
    color: #ffffff;
}

td, th {
    border-bottom: 1px solid #ddd;
    text-align: left;
    padding: 10px;
    margin: 0;
    white-space: nowrap;
}

table {
    table-layout: auto;
    width: 100%;
}

td input {
    width: 100%;
    box-sizing: border-box;
    min-width: 0;
}

a.button {
    padding: 1px 6px;
    border: 1px outset buttonborder;
    border-radius: 3px;
    color: buttontext;
    background-color: buttonface;
    text-decoration: none;
}

input[type=checkbox] {
    /* Double-sized Checkboxes */
    -ms-transform: scale(2); /* IE */
    -moz-transform: scale(2); /* FF */
    -webkit-transform: scale(2); /* Safari and Chrome */
    -o-transform: scale(2); /* Opera */
    transform: scale(2);
    padding: 10px;
}

/* Might want to wrap a span around your checkbox text */
.checkboxtext {
    /* Checkbox text */
    font-size: 110%;
    display: inline;
}

.pack_order {
    width: 80vw;
}